This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181768 - DV modules auto-loading when a DV camera is plugged in
DV modules auto-loading when a DV camera is plugged in
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-02-16 08:18 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 15:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-02-16 08:18:00 EST
Extracted from bug #172105 comment #13 :

I have tested my DV camcorder on FC development (post FC5test2), and here are
the results :

- Plug in the camcorder, dmesg says :
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
ieee1394: Node added: ID:BUS[0-00:1023]  GUID[0800460104142508]
But no /dev/*1394* files get created, and only the default ohci1394 and
ieee1394 are still loaded.

- Manually modprobe raw1394, dmesg says :
ieee1394: raw1394: /dev/raw1394 device initialized
And I now have the required /dev entry properly created :
# ls -l /dev/*1394*
crw------- 1 dude root 171, 0 Jan 24 23:54 /dev/raw1394

- From there dvgrab works! (so kino, cinelerra etc. should too)

The problem here is that the raw1394 module wasn't loaded automatically when
the camcorder was plugged in, so things won't go smoothly for end users.

With a slight update : When I did the same "modprobe raw1394" today, the
/dev/raw1394 file had an ownership of root:root and the same mode 600.
Obviously, the owner should be the one logged in locally for things to work
from the desktop.

What is the proper solution here? For me this works :
alias char-major-171-* raw1394

But do some devices needs video1394 instead?

In FC4, the "<raw1394>=/dev/raw1394" and "<console> 0600 <raw1394> 0600 root"
lines in 50-default.perms seem correct, but what about /dev/dv1394/* and
/dev/video1394/*?
Comment 1 Harald Hoyer 2006-03-07 02:50:29 EST
what about newest udev-084-12 ??
Comment 2 Matthias Saou 2006-03-08 05:27:28 EST
My test system still had 084-9 (IIRC) last night, and it still didn't work.
I'll update it tonight and report back the result of the latest udev.
Comment 3 Matthias Saou 2006-03-09 04:59:34 EST
Much better!

- Boot the system, log into GNOME
- Check : No /dev/raw1394 present
- Turn on the DV camera connected through firewire
- Check : /dev/raw1394 got created!!!

Next issue : The mode is 600 but the owner is root:root, so my logged in user
still cannot use dvgrab to acquire video. I've looked at the default file in
console.perms.d and the <raw1394> lines seem to indicate that it should work...
but it most definitely doesn't. Any ideas what could be causing that? Is
something more needed to get the device to belong to the GNOME user when it gets
created?
Comment 4 Harald Hoyer 2006-05-10 01:38:24 EDT
Does
# pam_console_apply /dev/raw1394
change anything?
Comment 5 Matthias Saou 2006-10-02 15:30:26 EDT
Sorry for the long delay, I simply didn't have the need to dump any videos out
of my camera until now. (and now is a good time to check that it will work in FC6)

And... IT WORKS GREAT!

I plugged in my DV camera to the firewire port, and dvgrab works. Only :
Warning: Cannot set RR-scheduler
Warning: Cannot disable swapping
are printed, for being run as a non privileged user.

I also opened Kino from the GNOME menu, and capture as well as seeking and
displaying, work fine from there too, so users can now easily have a fully
graphical experience when it comes to DV capture and editing! Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.